• Jeremy White's avatar
    Provide compatibility for Glamor in Xorg 1.17. · 052b4c32
    Jeremy White authored
    
    
    In Xorg 1.18, X changed so that GLAMOR_USE_EGL_SCREEN was the only
    flag required and it implies the behavior previously requested
    with the GLAMOR_USE_SCREEN and GLAMORE_USE_PICTURE_SCREEN flags.
    Thus, if we are building against an older Xorg, we need to specify
    those now deprecated flags.
    
    Additionally, the compat-api header conflicts with the older
    glamor header file, so it needs to be moved to be included
    after glamor.h.
    Signed-off-by: Jeremy White's avatarJeremy White <jwhite@codeweavers.com>
    Acked-by: Frediano Ziglio's avatarFrediano Ziglio <fziglio@redhat.com>
    052b4c32
dummy.h 1.6 KB